Name:           newa
Version:        0.1.dev66+g114f21e
Release:        main%{?dist}
Summary:        New Errata Workflow

License:        MIT
URL:            https://github.com/RedHatQE/newa
Source0:        newa-0.1.0.dev66+g114f21e.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-jira

%py_provides    python3-newa

%description
The newa Python module and command line tool used for errata
workflow automation.

%prep
%autosetup -p1 -n newa-0.1.0.dev66+g114f21e

%generate_buildrequires
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files newa

%check
%pyproject_check_import

%files -n newa -f %{pyproject_files}
%doc README.md
%{_bindir}/newa

%changelog
* Thu Aug 1 2024 Packit <hello@packit.dev> - 0.1.dev66+g114f21e-main
- Development snapshot (114f21e1)

* Tue June 06 2024 Miroslav Vadkerti <mvadkert@redhat.com> - 0.1-1
- Initial packaging
